{% extends "../recipes/base.html" %}

{% block title %}
Login |
{% endblock %}

{% block body %}
<div class="container">
  <h1>Login</h1>
  <div class="row justify-content-center">
    <div class="col-7">
      <form method="post" action="{% url 'login' %}" class="profile-form">
        {% csrf_token %}
        <div class="form-group row">
          <label class="col-12 col-lg-2 col-form-label">{{ form.username.label_tag }}</label>
          <div class="col-12 col-lg-10">
            <input type="text" class="form-control" name="{{ form.username.html_name }}" id="form.username.id_for_label">
          </div>
        </div>
        <div class="form-group row">
          <label class="col-12 col-lg-2 col-form-label">{{ form.password.label_tag }}</label>
          <div class="col-12 col-lg-10">
            <input type="password" class="form-control" name="{{ form.password.html_name }}" id="form.password.id_for_label">
          </div>
        </div>
        <input type="submit" value="Login" class="btn btn-block btn-success" />
        <input type="hidden" name="next" value="{{ next }}" />
        <br>
        <p><a href="{% url 'password_reset' %}">Lost password?</a> | <a href="{% url 'signup' %}">Register</a></p>
      </form>

      {# Assumes you setup the password_reset view in your URLconf #}
      {% if form.errors %}
      <div class="alert alert-danger" role="alert">Your username and password didn't match. Please try again.</div>
      {% endif %}
    </div>
  </div>
</div>
{% endblock %}
